=== src/plugins/CMakeLists.txt ===
add_subdirectory(recorder)
add_subdirectory(encoder)
add_subdirectory(upload)
