=== src/plugins/recorder/CMakeLists.txt ===
add_subdirectory(recordmydesktop)
add_subdirectory(screenshot)
