=== src/plugins/upload/CMakeLists.txt ===

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_MODULE_PATH})

add_subdirectory(lib)
add_subdirectory(youtube)
add_subdirectory(blip)
