=== debian/changelog ===
recorditnow (0.7-0ubuntu5) maverick; urgency=low

  * Fix FTBFS: 'KDebug::operator()(const char*)' is private. (LP: #653973)
    - Add 01_fix_ftbfs_kwarning_call.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 03 Oct 2010 22:11:07 +0200

recorditnow (0.7-0ubuntu4) maverick; urgency=low

  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.
  * Call ldconfig in postinst.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 18 May 2010 21:47:17 +0200

recorditnow (0.7-0ubuntu3) lucid; urgency=low

  * Build-depend on libxfixes-dev instead of the non-exsitant libxfixes

 -- Scott Kitterman <scott@kitterman.com>  Mon, 05 Apr 2010 12:20:57 -0400

recorditnow (0.7-0ubuntu2) lucid; urgency=low

  * Add build-depend on ffpmeg and mencoder (LP: #533150)
  * Add build-depend on libxfixes-dev for cursor-in-screenshot support
  * Add build-depend on pkg-config so that XFixes detection works
  * Bump Standards-Version to 3.8.4, no changes

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 17 Mar 2010 12:11:55 -0400

recorditnow (0.7-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Using source format 3.0
  * Using DH 7 rules now
  * Dropped cdbs. Specified debhelper and pkg-kde-tools minimum versions
  * Added libxext-dev and libxcursor-dev to build-depends

 -- Michał Zając <michal.zajac@gmail.com>  Sun, 27 Dec 2009 00:45:15 +0100

recorditnow (0.4-0ubuntu1) lucid; urgency=low

  * Initial release (Closes LP: #488817).

 -- Michał Zając <michal.zajac@gmail.com>  Thu, 26 Nov 2009 16:50:53 +0100
