=== debian/control ===
Source: recorditnow
Section: kde
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michał Zając <michal.zajac@gmail.com>
Build-Depends: debhelper (>= 7.3.16),
               pkg-kde-tools (>= 0.5.0),
               pkg-config,
               cmake,
               kdelibs5-dev,
               libx11-dev,
               libxcursor-dev,
               libxext-dev,
               libxfixes-dev,
               ffmpeg,
               mencoder
Standards-Version: 3.8.4
Homepage: http://kde-apps.org/content/show.php/RecordItNow?content=114610

Package: recorditnow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, recordmydesktop, mencoder, ffmpeg,
 libxfixes3, libpolkit-qt-1-0
Description: desktop recorder for KDE
 RecordItNow is a plugin-based desktop recorder for KDE. Currently it supports
 recordmydesktop for recording and ffmpeg and mencoder for encoding.
