## recorditnow 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,34 @@
 project(RecordItNow)
+
+
+set(BUILD_WITH_JOSCHY true)
+if (BUILD_WITH_JOSCHY)
+    add_subdirectory(joschy-snapshot-23-02-10)
+endif (BUILD_WITH_JOSCHY)
 
 find_package(KDE4 REQUIRED)
 include (KDE4Defaults)
 
 add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
 include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 
-set(KDE_MIN_VERSION "4.3.0")
+
+set(KDE_MIN_VERSION "4.4.0")
 
 ########### install files ###############
 install(FILES recorditnow.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
 install(FILES recorditnow.notifyrc DESTINATION ${DATA_INSTALL_DIR}/recorditnow)
+
+if (NOT BUILD_WITH_JOSCHY)
+    find_package(JoschyCore REQUIRED)
+else (NOT BUILD_WITH_JOSCHY)
+    set (JOSCHY_SNAPSHOT_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/joschy-snapshot-23-02-10/joschycore/)
+    set (JOSCHY_SNAPSHOT_LIBRARIES joschycore)
+endif (NOT BUILD_WITH_JOSCHY)
+
+
+find_package(RecordMyDesktop REQUIRED)
 
 add_subdirectory(src)
