=== joschy-snapshot-23-02-10/Provider/CMakeLists.txt ===
if (BUILD_YOUTUBE)
    add_subdirectory(YouTube)
endif (BUILD_YOUTUBE)

if (BUILD_BLIP)
    add_subdirectory(Blip)
endif (BUILD_BLIP)

#add_subdirectory(Sevenload)
#add_subdirectory(Vimeo)
