=== src/keyboard/CMakeLists.txt ===
add_subdirectory(themes)
