=== src/libs/CMakeLists.txt ===
add_subdirectory(plugin)
add_subdirectory(recorder)
add_subdirectory(encoder)
add_subdirectory(upload)
