=== debian/changelog ===
recorditnow (0.8.1-0ubuntu2) trusty; urgency=low

  * Port from ffmpeg to avconv.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 24 Nov 2013 14:02:40 +0000

recorditnow (0.8.1-0ubuntu1) natty; urgency=low

  * New upstream release. (LP: #681270)
    - Update debian/copyright.
  * Build-depend on recordmydesktop.
  * Add a watch file.
  * Drop 01_fix_ftbfs_kwarning_call.diff, fixed upstream.
  * Add 01_joschy_install_to_usr_lib.diff.
  * Add 02_fix_ftbfs_no-add-needed.diff.
  * Add 03_dont_install_header_files.diff.
  * Replace dependency on libpolkit-qt-1-0 with policykit-1.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 09 Jan 2011 14:54:01 +0100
