=== debian/control ===
--- 
+++ 
@@ -12,15 +12,15 @@
                libxcursor-dev,
                libxext-dev,
                libxfixes-dev,
-               ffmpeg,
-               mencoder
-Standards-Version: 3.8.4
+               libav-tools,
+               mencoder,
+               recordmydesktop
+Standards-Version: 3.9.1
 Homepage: http://kde-apps.org/content/show.php/RecordItNow?content=114610
 
 Package: recorditnow
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, recordmydesktop, mencoder, ffmpeg,
- libxfixes3, libpolkit-qt-1-0
+Depends: ${shlibs:Depends}, ${misc:Depends}, policykit-1, recordmydesktop, mencoder, libav-tools
 Description: desktop recorder for KDE
  RecordItNow is a plugin-based desktop recorder for KDE. Currently it supports
  recordmydesktop for recording and ffmpeg and mencoder for encoding.
