=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde

override_dh_auto_install:
	dh_auto_install -Skde
	rm -rf debian/tmp/usr/include
