=== debian/watch ===
version=3
http://sf.net/recorditnow/recorditnow-([\d\.]+)\.tar\.(?:gz|bz2)
